<?
// theme settings
$body_text = "#000000";
$body_bg = "#ffffff";
$theme_width = "80%";
$theme_width_l = "180";
$theme_width_r = "180";

//The Nature Themes look best with 2 columns.
//You can enable one side's panels to be switched to the opposite side temporary
$disable_side = 0; //Disable a Panel column for 2 Column look? (1=left/2=right/0=no) EXPERIMENTAL

//Choose where to display the horizontal navigation
$topnavi_position = 2; // Position of the horizontal navigation? (1=Above Header/2=below header/3=both/0=off)

//Choose whether you want to show a additional navigation in the footer displaying the links of the top navigation
$footer_navigation = 1; //Enable the Horizontal Navigation to be shown in the footer, too? (1=yes/0=no)

//Disable the Header if you don't need it, here
$show_header = 1; //Show the Header? (1=yes/0=no)

//Setting this to 1 will disable the default header background image
$disable_background = 0; //Disable Background? (1=yes/0=no)

//Descide whether or not to show the date next to the top navigation
$show_date = 1; //Show date? (1=yes/0=no)

//If this is enabled, the Banner you set in Main Settings will be shown
//Elsewise the banner.jpg in the Theme folder is displayed
$default_banner = 0; //Whether or not to use the Banner set in Main Settings (1=yes/0=no)

//Enable this to show a cool CSS-based Rollover Navigation, replacing the default one temporary
$advanced_navigation = 1; //Fancy Navigation? (1=yes/0=no)

//If you want to have you php-fusion version displayed in the footer, set this to 1
$show_version = 0; //Show your php-fusion version? (1=yes/0=no)

function render_header($header_content) {

global $theme_width, $settings, $locale, $default_banner, $topnavi_position, $show_header, $navigation_table, $panel_ids, $disable_side, $show_date, $disable_background;

if($disable_side == 1 || $disable_side == 2){
    $panel_query = dbquery("SELECT panel_id FROM ".DB_PREFIX."panels WHERE panel_side = ".($disable_side == 1 ? "1" : "3" )."");
    $panel_ids = array();
    while($panel_id = mysql_fetch_row($panel_query))
        array_push($panel_ids, $panel_id[0]);

    dbquery("UPDATE ".DB_PREFIX."panels SET panel_side = ".($disable_side == 1 ? "3" : "1" )." WHERE panel_side = ".($disable_side == 1 ? "1" : "3" )."");
}

if($show_header == 1){
    $header_table = "
                        <table width='100%' cellspacing='0' cellpadding='0'>
                            <tr>
                                <td>
                                    <table width='100%' cellspacing='0' cellpadding='0'>
                                        <tr>
                                            <td class='full-header' ".($disable_background == 1 ? "style='background-image:none;'" : "").">";
                                            if($default_banner == 1)
                                                $header_table .= $header_content;
                                            else
                                                $header_table .= "<img src='".THEME."banner.jpg' alt='".$settings['sitename']."'>";
                                            $header_table .="</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>\n";
}else{
    $header_table = "";
}
                        
$navigation_table =
                        "<table width='100%' cellspacing='0' cellpadding='0'>
                            <tr>
                                <td class='white-header'>\n";
                                $result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
                                if (dbrows($result) != 0) {
                                	$i = 0;
                                	while($data = dbarray($result)) {
                                		if (checkgroup($data['link_visibility'])) {
                                			if ($data['link_url']!="---") {
                                				if ($i != 0) { $navigation_table .= " \n"; } else { $navigation_table .= "\n"; }
                                				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
                                				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
                                                    $navigation_table .= "<a href='".$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
                                				} else {
                                                    $navigation_table .= "<a href='".BASEDIR.$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
                                				}
                                			}
                                			$i++;
                                		}
                                	}
                                }
                                $navigation_table .= ($i == 0 ? "&nbsp;" : "")."</td>";
                                if($show_date == 1)
                                $navigation_table .= "<td align='right' class='white-header' style='padding-right:6px;'>".ucwords(showdate("longdate", time()))."</td>";
                                $navigation_table .= "
                            </tr>
                        </table>\n";

echo "
<table style='margin:0px auto' align='center' width='$theme_width' cellspacing='0' cellpadding='0'>
    <tr>
        <td align='right'><img src='".THEME."images/cornerlefttop.jpg' alt=' '></td>

        <td style='background-image: url(".THEME."images/bordertop.jpg); background-repeat: repeat-x;'></td>

        <td><img src='".THEME."images/cornerrighttop.jpg' alt=' '></td>
    </tr>
    <tr>
        <td style='background-image: url(".THEME."images/borderleft.jpg); background-repeat: repeat-y; background-position: right; width: 10px;' align='right'> </td>
        <td>
            <table width='100%' class='border' cellspacing='0' cellpadding='0'>
                <tr>
                    <td valign='top'>";
                    if($topnavi_position == 0)
                        echo $header_table;
                    elseif($topnavi_position == 1)
                        echo $navigation_table.$header_table;
                    elseif($topnavi_position == 3)
                        echo $navigation_table.$header_table.$navigation_table;
                    elseif($topnavi_position == 2)
                        echo $header_table.$navigation_table;


                        echo "<table width='100%' cellspacing='0' cellpadding='0'>
                            <tr>\n";

            }

    function render_footer($license=false) {

    global $theme_width, $settings, $locale, $footer_navigation, $show_version, $panel_ids, $disable_side;

                            echo "
                            </tr>
                        </table>\n";
                    if($footer_navigation == 1){
                        echo"
                        <table width='100%' cellspacing='0' cellpadding='0'>
                            <tr>
                                <td class='white-header' style='text-align:center;'>\n";
                                $result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
                                if (dbrows($result) != 0) {
                                	$i = 0;
                                	while($data = dbarray($result)) {
                                		if (checkgroup($data['link_visibility'])) {
                                			if ($data['link_url']!="---") {
                                				if ($i != 0) { echo " \n"; } else { echo "\n"; }
                                				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
                                				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
                                                    echo "<a href='".$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
                                				} else {
                                                    echo "<a href='".BASEDIR.$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
                                				}
                                			}
                                			$i++;
                                		}
                                	}
                                }
                                echo ($i == 0 ? "&nbsp;" : "")."</td>
                        </table>\n";
}
                        
                        
                    echo "
                        <table cellpadding='0' cellspacing='0' width='100%'>
                            <tr>
                                <td>".stripslashes($settings['footer'])."</td>
                            </tr>
                            <tr>
                                <td align='center' style='padding-bottom:5px;'>
                                ".$settings['counter']." ".($settings['counter'] == 1 ? $locale['140']."<br>\n" : $locale['141']."<br>\n");
                                if ($license == false) {
                                	echo "Powered by <a href='http://www.php-fusion.co.uk' target='_blank'>PHP-Fusion</a> ".($show_version == 1 ? "v".$settings['version']." &copy;" : "" )."2003-2005 and\n";
                                }
                                echo "<a href='http://matonor.de/'>Matonor.de</a>";
                                echo "</td>
                            </tr>
                        </table>

                        </td>
                    </tr>
                </table>
            </td>
            <td align='left' style='background-image: url(".THEME."images/borderright.jpg); background-repeat: repeat-y; width: 10px;'> </td>
        </tr>
        <tr>
            <td>
                <img src='".THEME."images/cornerleftbottom.jpg' alt=' '>
            </td>

            <td style='background-image: url(".THEME."images/borderbottom.jpg);  background-repeat: repeat-x;'>
            </td>

            <td>
                <img src='".THEME."images/cornerrightbottom.jpg' alt=' '>
            </td>
        </tr>
    </table>\n";
    if($disable_side == 1 || $disable_side == 2){
        foreach($panel_ids as $panel_id){
            dbquery("UPDATE ".DB_PREFIX."panels SET panel_side = ".($disable_side == 1 ? "1" : "3" )." WHERE panel_id = ".$panel_id."");
        }
    }
}

function render_news($subject, $news, $info) {

global $locale;
	
        echo "<table width='100%' cellpadding='0' cellspacing='0'>
            <tr>
                <td>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='capmain'>$subject</td>
                        </tr>
                        <tr>
                            <td>
                            <span class='news-date'><a class='news' href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ".$locale['041'].showdate("longdate", $info['news_date'])."</span>
                            </td>
                        </tr>
                    </table>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='main-body'>
                            $news
                            </td>
                        </tr>
                    </table>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='news-date'>\n";
                            if ($info['news_ext'] == "y") echo "<a class='news' href='news.php?readmore=".$info['news_id']."'>".$locale['042']."</a> \n";
                            if ($info['news_allow_comments']) echo "<a class='news' href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].$locale['043']."</a> \n";
                            echo $info['news_reads'].$locale['044']."  <a class='news' href='print.php?type=N&amp;item_id=".$info['news_id']."'>".$locale['045']."</a>";

                            if (checkrights("N"))
                                echo"  <form style='display:inline' name='editnews".$info['news_id']."' method='post' action='".ADMIN."news.php?news_id=".$info['news_id']."'><input type='hidden' name='edit' value='edit'><a class='news' href='javascript:document.editnews".$info['news_id'].".submit();'>".$locale['048']."</a></form>
                                ";

                            echo"
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>\n";

}

function render_article($subject, $article, $info) {

global $locale;

        echo "<table width='100%' cellpadding='0' cellspacing='0'>
           <tr>
                <td>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='capmain'>$subject</td>
                        </tr>
                        <tr>
                            <td>
                            <span class='news-date'><a class='news' href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ".$locale['041'].showdate("longdate", $info['article_date'])."</span>
                            </td>
                        </tr>
                    </table>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='main-body'>
                                ".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
                            </td>
                        </tr>
                    </table>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='news-date'>\n";
                                if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']." \n";
                                echo $info['article_reads'].$locale['044']."
                                  <a class='news' href='print.php?type=A&amp;item_id=".$info['article_id']."'>".$locale['045']."</a>";

                            echo"
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>\n";

}

function opentable($title) {

        echo "<table width='100%' cellpadding='0' cellspacing='0'>
            <tr>
                <td>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='capmain'>$title</td>
                        </tr>
                    </table>
                    <table width='100%' cellpadding='0' cellspacing='0'>
                        <tr>
                            <td class='main-body'>\n";

}

function closetable() {

                            echo "</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>\n";

}

function openside($title) {
  global $advanced_navigation, $navigation_hidden, $p_data;
  echo "
  <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='scapmain'>$title</td>
                </tr>
            </table>
            <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='side-body'>\n";
            if($advanced_navigation == 1 AND $p_data['panel_filename'] == 'navigation_panel'){
                $query = dbquery("SELECT * FROM `".DB_PREFIX."panels` WHERE panel_name ='".$title."'");
                if(dbrows($query) != 0){
                  $result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position<='2' ORDER BY link_order");
                    while($data = dbarray($result)) {
                    	if (checkgroup($data['link_visibility'])) {
                    		if ($data['link_name'] != "---" && $data['link_url'] == "---") {
                    			echo "
                                <div class='side-label2'><b>".$data['link_name']."</b></div>\n";
                    		} else if ($data['link_name'] == "---" && $data['link_url'] == "---") {
                    			echo "
                                <hr class='side-hr2'>\n";
                    		} else {
                    			$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
                    			if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
                    				echo "
                                    <a href='".$data['link_url']."'".$link_target." class='navigation'>".$data['link_name']."</a><br>\n";
                    			} else {
                    				echo "
                                    <a href='".BASEDIR.$data['link_url']."'".$link_target." class='navigation'>".$data['link_name']."</a><br>\n";
                    			}
                    		}
                    	}
                    }

                echo "<div style='position: absolute; top:5px; height: 1px; width:1px; overflow:hidden;'>";
                $navigation_hidden = 1;
                }
            }

}

function closeside() {
  global $navigation_hidden , $advanced_navigation;
    if($advanced_navigation == 1){
      if($navigation_hidden == 1){
                echo "</div>";
                $navigation_hidden = 0;
      }
    }
                echo "</td>
            </tr>
        </table>\n";
tablebreak();

}

function opensidex($title,$open="on") {

if($open=="on"){$box_img="off";}else{$box_img="on";}
        echo "<table width='100%' cellpadding='0' cellspacing='0'>
            <tr>
                <td class='scapmain'>$title</td>
                <td class='scapmain' align='right'>
                    <img onclick=\"javascript:flipBox('$title')\" name='b_$title' alt='$box_img' border='0' src='".THEME."images/panel_$box_img.gif'>
                </td>
            </tr>
        </table>
        <table width='100%' cellpadding='0' cellspacing='0'>
            <tr>
                <td class='side-body'>
                    <div id='box_$title'"; if($open=="off"){ echo "style='display:none'"; } echo ">\n";

}

function closesidex() {

                    echo "</div>
                </td>
            </tr>
        </table>\n";
tablebreak();

}

function tablebreak() {

        echo "<table width='100%' cellspacing='0' cellpadding='0'>
            <tr>
                <td height='8'></td>
            </tr>
        </table>\n";

}
?>
